@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  microsoft-identity-broker startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and MICROSOFT_IDENTITY_BROKER_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\LinuxBrokerPackage-1.6.1.jar;%APP_HOME%\lib\LinuxBroker-1.6.1.jar;%APP_HOME%\lib\secret-service-1.7.1.jar;%APP_HOME%\lib\dbus-java-3.3.0.jar;%APP_HOME%\lib\broker4j-8.1.1.jar;%APP_HOME%\lib\kotlinx-coroutines-core-jvm-1.6.4.jar;%APP_HOME%\lib\kotlinx-coroutines-jdk8-1.6.4.jar;%APP_HOME%\lib\kotlin-stdlib-jdk8-1.7.21.jar;%APP_HOME%\lib\common4j-12.0.0.jar;%APP_HOME%\lib\moshi-adapters-1.12.0.jar;%APP_HOME%\lib\moshi-1.12.0.jar;%APP_HOME%\lib\oshi-core-5.7.5.jar;%APP_HOME%\lib\mapdb-3.0.8.jar;%APP_HOME%\lib\httpclient-4.5.8.jar;%APP_HOME%\lib\javafx-web-15-linux.jar;%APP_HOME%\lib\javafx-controls-15-linux.jar;%APP_HOME%\lib\javafx-controls-15.jar;%APP_HOME%\lib\javafx-media-15-linux.jar;%APP_HOME%\lib\javafx-media-15.jar;%APP_HOME%\lib\javafx-graphics-15-linux.jar;%APP_HOME%\lib\javafx-graphics-15.jar;%APP_HOME%\lib\javafx-base-15-linux.jar;%APP_HOME%\lib\javafx-base-15.jar;%APP_HOME%\lib\jnr-unixsocket-0.38.5.jar;%APP_HOME%\lib\slf4j-api-1.7.30.jar;%APP_HOME%\lib\kotlin-stdlib-jdk7-1.7.21.jar;%APP_HOME%\lib\okio-jvm-2.10.0.jar;%APP_HOME%\lib\kotlin-stdlib-1.7.21.jar;%APP_HOME%\lib\nimbus-jose-jwt-9.9.jar;%APP_HOME%\lib\gson-2.8.9.jar;%APP_HOME%\lib\json-20230227.jar;%APP_HOME%\lib\jcip-annotations-1.0-1.jar;%APP_HOME%\lib\opentelemetry-api-1.18.0.jar;%APP_HOME%\lib\bcpkix-jdk15on-1.67.jar;%APP_HOME%\lib\bctls-jdk15on-1.67.jar;%APP_HOME%\lib\bcprov-jdk15on-1.67.jar;%APP_HOME%\lib\protobuf-javalite-3.21.9.jar;%APP_HOME%\lib\jna-platform-5.8.0.jar;%APP_HOME%\lib\jna-5.8.0.jar;%APP_HOME%\lib\eclipse-collections-forkjoin-12.0.0.M2.jar;%APP_HOME%\lib\eclipse-collections-12.0.0.M2.jar;%APP_HOME%\lib\eclipse-collections-api-12.0.0.M2.jar;%APP_HOME%\lib\guava-32.1.2-jre.jar;%APP_HOME%\lib\lz4-1.3.0.jar;%APP_HOME%\lib\elsa-3.0.0-M5.jar;%APP_HOME%\lib\hkdf-1.1.0.jar;%APP_HOME%\lib\jnr-enxio-0.32.3.jar;%APP_HOME%\lib\jnr-posix-3.1.4.jar;%APP_HOME%\lib\jnr-ffi-2.2.1.jar;%APP_HOME%\lib\jnr-constants-0.10.1.jar;%APP_HOME%\lib\kotlin-stdlib-common-1.7.21.jar;%APP_HOME%\lib\annotations-13.0.jar;%APP_HOME%\lib\opentelemetry-context-1.18.0.jar;%APP_HOME%\lib\failureaccess-1.0.1.jar;%APP_HOME%\lib\listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.jar;%APP_HOME%\lib\jsr305-3.0.2.jar;%APP_HOME%\lib\checker-qual-3.33.0.jar;%APP_HOME%\lib\error_prone_annotations-2.18.0.jar;%APP_HOME%\lib\jffi-1.3.1.jar;%APP_HOME%\lib\jffi-1.3.1-native.jar;%APP_HOME%\lib\asm-commons-9.0.jar;%APP_HOME%\lib\asm-util-9.0.jar;%APP_HOME%\lib\asm-analysis-9.0.jar;%APP_HOME%\lib\asm-tree-9.0.jar;%APP_HOME%\lib\asm-9.0.jar;%APP_HOME%\lib\jnr-a64asm-1.0.0.jar;%APP_HOME%\lib\jnr-x86asm-1.0.2.jar


@rem Execute microsoft-identity-broker
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %MICROSOFT_IDENTITY_BROKER_OPTS%  -classpath "%CLASSPATH%" com.microsoft.identity.broker.service.IdentityBrokerService %*

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable MICROSOFT_IDENTITY_BROKER_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%MICROSOFT_IDENTITY_BROKER_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
